<?xml version="1.0" encoding="UTF-8"?>
<zabbix_export>
    <version>4.4</version>
    <date>2020-03-24T23:58:03Z</date>
    <groups>
        <group>
            <name>Templates</name>
        </group>
    </groups>
    <templates>
        <template>
            <template>Template App bcmstat</template>
            <name>Template App bcmstat</name>
            <description>Monitoring bcmstat 0.5.4 or greater.&#13;
https://github.com/MilhouseVH/bcmstat</description>
            <templates>
                <template>
                    <name>Template App SSH Service</name>
                </template>
            </templates>
            <groups>
                <group>
                    <name>Templates</name>
                </group>
            </groups>
            <applications>
                <application>
                    <name>BCMStats</name>
                </application>
            </applications>
            <items>
                <item>
                    <name>Core Temp</name>
                    <type>DEPENDENT</type>
                    <key>CoreTemp</key>
                    <delay>0</delay>
                    <value_type>FLOAT</value_type>
                    <units>C</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[4];</params>
                        </step>
                        <step>
                            <type>RTRIM</type>
                            <params>C</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                    <triggers>
                        <trigger>
                            <expression>{last()}&gt;=85</expression>
                            <name>{HOST.NAME} temperature is extreamly hot</name>
                            <priority>DISASTER</priority>
                            <description>85C is when the RPi begins under-clocking. It should auto shutdown before reaching 90C when components risk damage.</description>
                            <dependencies>
                                <dependency>
                                    <name>{HOST.NAME} temperature is very hot</name>
                                    <expression>{Template App bcmstat:CoreTemp.last()}&gt;=80</expression>
                                </dependency>
                            </dependencies>
                        </trigger>
                        <trigger>
                            <expression>{last()}&gt;=70</expression>
                            <name>{HOST.NAME} temperature is hot</name>
                            <priority>AVERAGE</priority>
                            <dependencies>
                                <dependency>
                                    <name>No Data From BCMStats</name>
                                    <expression>{Template App bcmstat:ssh.run[bcmstat_{HOST.NAME}].nodata(5m)}=0</expression>
                                </dependency>
                            </dependencies>
                        </trigger>
                        <trigger>
                            <expression>{last()}&gt;=80</expression>
                            <name>{HOST.NAME} temperature is very hot</name>
                            <priority>HIGH</priority>
                            <dependencies>
                                <dependency>
                                    <name>{HOST.NAME} temperature is hot</name>
                                    <expression>{Template App bcmstat:CoreTemp.last()}&gt;=70</expression>
                                </dependency>
                            </dependencies>
                        </trigger>
                    </triggers>
                </item>
                <item>
                    <name>CPU0 % used</name>
                    <type>DEPENDENT</type>
                    <key>cpu0</key>
                    <delay>0</delay>
                    <value_type>FLOAT</value_type>
                    <units>%</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[13].replace(/,/g, '');</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>CPU1 % used</name>
                    <type>DEPENDENT</type>
                    <key>cpu1</key>
                    <delay>0</delay>
                    <value_type>FLOAT</value_type>
                    <units>%</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[14].replace(/,/g, '');</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>CPU2 % used</name>
                    <type>DEPENDENT</type>
                    <key>cpu2</key>
                    <delay>0</delay>
                    <value_type>FLOAT</value_type>
                    <units>%</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[15].replace(/,/g, '');</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>CPU3 % used</name>
                    <type>DEPENDENT</type>
                    <key>cpu3</key>
                    <delay>0</delay>
                    <value_type>FLOAT</value_type>
                    <units>%</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[16].replace(/,/g, '');</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>CPU Memory Free</name>
                    <type>DEPENDENT</type>
                    <key>cpumem</key>
                    <delay>0</delay>
                    <value_type>FLOAT</value_type>
                    <units>B</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[20].replace(/,/g, '');</params>
                        </step>
                        <step>
                            <type>MULTIPLIER</type>
                            <params>1000</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>CPU Speed</name>
                    <type>DEPENDENT</type>
                    <key>CPUMHz</key>
                    <delay>0</delay>
                    <units>MHz</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[1];</params>
                        </step>
                        <step>
                            <type>RTRIM</type>
                            <params>Mhz</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>GPU Memory Free</name>
                    <type>DEPENDENT</type>
                    <key>gpumem</key>
                    <delay>0</delay>
                    <value_type>FLOAT</value_type>
                    <units>MB</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[17].replace(/,/g, '');</params>
                        </step>
                        <step>
                            <type>RTRIM</type>
                            <params>M</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>GPU Speed</name>
                    <type>DEPENDENT</type>
                    <key>GPUMhz</key>
                    <delay>0</delay>
                    <units>MHz</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[2];</params>
                        </step>
                        <step>
                            <type>RTRIM</type>
                            <params>Mhz</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>H264 Speed</name>
                    <type>DEPENDENT</type>
                    <key>H264Mhz</key>
                    <delay>0</delay>
                    <units>MHz</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[3];</params>
                        </step>
                        <step>
                            <type>RTRIM</type>
                            <params>Mhz</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>IRQ per second</name>
                    <type>DEPENDENT</type>
                    <key>IRQs</key>
                    <delay>0</delay>
                    <units>IRQ/s</units>
                    <description>Interrupt requests per second</description>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[6].replace(/,/g, '');</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>RX Bytes per second</name>
                    <type>DEPENDENT</type>
                    <key>rxbps</key>
                    <delay>0</delay>
                    <units>bps</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[7].replace(/,/g, '');</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
                <item>
                    <name>bcmstat</name>
                    <type>SSH</type>
                    <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    <delay>8s</delay>
                    <history>0</history>
                    <trends>0</trends>
                    <value_type>CHAR</value_type>
                    <params>/usr/bin/bcmstat.sh J3mH0Yqprg | tail -2 | head -1</params>
                    <authtype>PUBLIC_KEY</authtype>
                    <username>root</username>
                    <password>Z4bb1x</password>
                    <publickey>id_rsa.pub</publickey>
                    <privatekey>id_rsa</privatekey>
                    <description>Absolutely requires bcmstat.sh v0.5.4+. Anything before this doesn't have the J option and my workaround was crazy janky.</description>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <triggers>
                        <trigger>
                            <expression>{nodata(5m)}=0</expression>
                            <name>No Data From BCMStats</name>
                            <priority>AVERAGE</priority>
                            <dependencies>
                                <dependency>
                                    <name>SSH service is down on {HOST.NAME}</name>
                                    <expression>{Template App bcmstat:net.tcp.service[ssh].max(#3)}=0</expression>
                                </dependency>
                            </dependencies>
                        </trigger>
                    </triggers>
                </item>
                <item>
                    <name>TX Bytes per second</name>
                    <type>DEPENDENT</type>
                    <key>txbps</key>
                    <delay>0</delay>
                    <units>bps</units>
                    <applications>
                        <application>
                            <name>BCMStats</name>
                        </application>
                    </applications>
                    <preprocessing>
                        <step>
                            <type>JAVASCRIPT</type>
                            <params>var parsed = value.split(&quot; &quot;).filter(function(e){ return e === 0 || e });
return parsed[8].replace(/,/g, '');</params>
                        </step>
                    </preprocessing>
                    <master_item>
                        <key>ssh.run[bcmstat_{HOST.NAME}]</key>
                    </master_item>
                </item>
            </items>
            <screens>
                <screen>
                    <name>BCMStats Overview</name>
                    <hsize>1</hsize>
                    <vsize>4</vsize>
                    <screen_items>
                        <screen_item>
                            <resourcetype>0</resourcetype>
                            <style>0</style>
                            <resource>
                                <name>Speed</name>
                                <host>Template App bcmstat</host>
                            </resource>
                            <width>1000</width>
                            <height>100</height>
                            <x>0</x>
                            <y>0</y>
                            <colspan>1</colspan>
                            <rowspan>1</rowspan>
                            <elements>0</elements>
                            <valign>0</valign>
                            <halign>0</halign>
                            <dynamic>0</dynamic>
                            <sort_triggers>0</sort_triggers>
                            <url/>
                            <application/>
                            <max_columns>3</max_columns>
                        </screen_item>
                        <screen_item>
                            <resourcetype>1</resourcetype>
                            <style>0</style>
                            <resource>
                                <key>CoreTemp</key>
                                <host>Template App bcmstat</host>
                            </resource>
                            <width>1000</width>
                            <height>100</height>
                            <x>0</x>
                            <y>1</y>
                            <colspan>1</colspan>
                            <rowspan>1</rowspan>
                            <elements>0</elements>
                            <valign>0</valign>
                            <halign>0</halign>
                            <dynamic>0</dynamic>
                            <sort_triggers>0</sort_triggers>
                            <url/>
                            <application/>
                            <max_columns>3</max_columns>
                        </screen_item>
                        <screen_item>
                            <resourcetype>0</resourcetype>
                            <style>0</style>
                            <resource>
                                <name>Network Transmissions</name>
                                <host>Template App bcmstat</host>
                            </resource>
                            <width>1000</width>
                            <height>100</height>
                            <x>0</x>
                            <y>2</y>
                            <colspan>1</colspan>
                            <rowspan>1</rowspan>
                            <elements>0</elements>
                            <valign>0</valign>
                            <halign>0</halign>
                            <dynamic>0</dynamic>
                            <sort_triggers>0</sort_triggers>
                            <url/>
                            <application/>
                            <max_columns>3</max_columns>
                        </screen_item>
                        <screen_item>
                            <resourcetype>1</resourcetype>
                            <style>0</style>
                            <resource>
                                <key>IRQs</key>
                                <host>Template App bcmstat</host>
                            </resource>
                            <width>1000</width>
                            <height>100</height>
                            <x>0</x>
                            <y>3</y>
                            <colspan>1</colspan>
                            <rowspan>1</rowspan>
                            <elements>0</elements>
                            <valign>0</valign>
                            <halign>0</halign>
                            <dynamic>0</dynamic>
                            <sort_triggers>0</sort_triggers>
                            <url/>
                            <application/>
                            <max_columns>3</max_columns>
                        </screen_item>
                    </screen_items>
                </screen>
            </screens>
        </template>
    </templates>
    <graphs>
        <graph>
            <name>Core Use %</name>
            <graph_items>
                <graph_item>
                    <color>1A7C11</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>cpu0</key>
                    </item>
                </graph_item>
                <graph_item>
                    <sortorder>1</sortorder>
                    <color>F63100</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>cpu1</key>
                    </item>
                </graph_item>
                <graph_item>
                    <sortorder>2</sortorder>
                    <color>2774A4</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>cpu2</key>
                    </item>
                </graph_item>
                <graph_item>
                    <sortorder>3</sortorder>
                    <color>A54F10</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>cpu3</key>
                    </item>
                </graph_item>
            </graph_items>
        </graph>
        <graph>
            <name>Memory Available</name>
            <graph_items>
                <graph_item>
                    <color>1A7C11</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>cpumem</key>
                    </item>
                </graph_item>
                <graph_item>
                    <sortorder>1</sortorder>
                    <color>0040FF</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>gpumem</key>
                    </item>
                </graph_item>
            </graph_items>
        </graph>
        <graph>
            <name>Network Transmissions</name>
            <graph_items>
                <graph_item>
                    <color>1A7C11</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>rxbps</key>
                    </item>
                </graph_item>
                <graph_item>
                    <sortorder>1</sortorder>
                    <color>F63100</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>txbps</key>
                    </item>
                </graph_item>
            </graph_items>
        </graph>
        <graph>
            <name>Speed</name>
            <graph_items>
                <graph_item>
                    <color>4000FF</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>CPUMHz</key>
                    </item>
                </graph_item>
                <graph_item>
                    <sortorder>1</sortorder>
                    <color>00FF00</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>GPUMhz</key>
                    </item>
                </graph_item>
                <graph_item>
                    <sortorder>2</sortorder>
                    <color>666699</color>
                    <item>
                        <host>Template App bcmstat</host>
                        <key>H264Mhz</key>
                    </item>
                </graph_item>
            </graph_items>
        </graph>
    </graphs>
</zabbix_export>
